For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
            • GETGet Country
            • GETGet State
            • GETList Addresses
            • POSTCreate Company Address
            • GETGet Address
            • PUTUpdate Address
            • DELDelete Address
            • POSTBulk Create Addresses
            • GETList Address Extra Field Configs
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementAddresses

List Addresses

GET
https://api-b2b.bigcommerce.com/api/v3/io/addresses
GET
/api/v3/io/addresses
$curl -G https://api-b2b.bigcommerce.com/api/v3/io/addresses \
> -H "X-Auth-Token: <apiKey>" \
> -d firstName=Marie \
> -d lastName=Curie \
> --data-urlencode "address=512 Bluebonnet Lane" \
> -d city=Austin \
> --data-urlencode "country=United States" \
> -d state=Texas \
> -d zipCode=78704 \
> -d phoneNumber=512-200-1234
200Retrieved
1{
2 "data": {
3 "addressId": 123,
4 "firstName": "Marie",
5 "lastName": "Curie",
6 "phoneNumber": "512-200-1234",
7 "zipCode": "78704",
8 "addressLine1": "512 Bluebonnet Lane",
9 "addressLine2": "Building 1",
10 "city": "Austin",
11 "stateName": "Texas",
12 "countryName": "United States",
13 "stateCode": "TX",
14 "countryCode": "US",
15 "companyId": 123456,
16 "isBilling": true,
17 "isShipping": true,
18 "isDefaultBilling": true,
19 "isDefaultShipping": true,
20 "label": "Austin Warehouse",
21 "externalId": "123456",
22 "extraFields": [
23 {
24 "fieldName": "Tax Provider Tax Code",
25 "fieldValue": "G",
26 "fieldType": 0
27 }
28 ]
29 },
30 "code": 200,
31 "meta": {
32 "pagination": {
33 "totalCount": 1,
34 "limit": 10,
35 "offset": 0
36 },
37 "message": "SUCCESS"
38 }
39}

Retrieves a list of addresses across all Company accounts. Use the parameters to filter results by different attributes like creation date, Company account, and country.

By default, the response does not include address extra fields and values. To include this information, use the isIncludeExtraFields parameter and provide a value of 1.

Was this page helpful?
Previous

Get State

Next

Create Company Address

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

offsetintegerOptional>=0Defaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

minModifiedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all addresses updated after that time.
maxModifiedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all addresses updated before that time.
minCreatedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all addresses created after that time.
maxCreatedintegerOptional
Enter a [Unix timestamp](https://www.unixtimestamp.com/) to retrieve all addresses created before that time.
companyIdintegerOptional
Enter the unique numeric ID of the Company account to return its addresses.
isBillingbooleanOptional
Indicate whether you want to filter for or against billing addresses in the response.
isShippingbooleanOptional
Indicate whether you want to filter for or against shipping addresses in the response.
isIncludeExtraFieldsenumOptionalDefaults to 0

Indicate whether you want to include (1) or exclude (0) address extra fields in the response.

Allowed values:
firstNamestringOptional
Filter for addresses with a specific first name.
lastNamestringOptional
Filter for addresses with a specific last name.
addressstringOptional
Enter the first or second address line to return relevant addresses.
citystringOptional
Filter for addresses from a specific city.
countrystringOptional

Filter for addresses from a specific country. Use the country’s full name or its two-letter ISO code.

statestringOptional

Filter for addresses from a specific state or province. Use the state’s full name or its two-letter ISO code.

zipCodestringOptional
Filter for addresses from a specific postal code.
phoneNumberstringOptional
Filter for addresses with a specific phone number.
externalId[]stringOptional

Filter by an external ID assigned to addresses in a third-party system, such as an ERP.

Response

OK
dataobject
codeintegerDefaults to 200
HTTP Response Code
metaobject
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Enter a Unix timestamp to retrieve all addresses updated after that time.

Enter a Unix timestamp to retrieve all addresses updated before that time.

Enter a Unix timestamp to retrieve all addresses created after that time.

Enter a Unix timestamp to retrieve all addresses created before that time.